package com.mosty.yjzl.mapper;

import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.checkerframework.checker.signature.qual.FieldDescriptorForPrimitiveOrArrayInUnnamedPackage;

import java.util.List;
import java.util.Map;

@Mapper
public interface YjzlStatisticsMapper {

    @ApiOperation("车辆预警列表TOP")
    List<Map<String, Object>> clyjlb(Map<String, Object> map);

    @ApiOperation("根据车牌号查询")
    List<Map<String, Object>> queryBycCphm(Map<String, Object> map);

    @ApiOperation("根据车牌号查询预警列表-日")
    List<Map<String, Object>> queryBycCphmlb(Map<String, Object> map);

    @ApiOperation("根据车牌号查询预警列表-月")
    List<Map<String, Object>> yqueryBycCphmlb(Map<String, Object> map);

    @ApiOperation("根据车牌号查询预警列表-周")
    List<Map<String, Object>> zqueryBycCphmlb(Map<String, Object> map);

    @ApiOperation("日预警车辆TOP20")
    List<Map<String, Object>> yjcltj(Map<String, Object> map);

    @ApiOperation("预警标签统计")
    List<Map<String, Object>> yjbqtj(Map<String, Object> map);

    @ApiOperation("预警级别统计")
    List<Map<String, Object>> yjjbtj(Map<String, Object> map);

    @ApiOperation("月预警车辆TOP20")
    List<Map<String, Object>> yyjcltj(Map<String, Object> map);

    @ApiOperation("周预警车辆TOP20")
    List<Map<String, Object>> zyjcltj(Map<String, Object> map);

    @ApiOperation("根据身份证查询")
    List<Map<String, Object>> queryBySfzh(Map<String, Object> map);

    @ApiOperation("根据身份证查询列表-日")
    List<Map<String, Object>> queryBySfzhlb(Map<String, Object> map);

    @ApiOperation("根据身份证查询列表-日(三车前科人员)")
    List<Map<String, Object>> queryBySfzhlbsc(Map<String, Object> map);

    @ApiOperation("根据身份证查询列表-月")
    List<Map<String, Object>> yqueryBySfzhlb(Map<String, Object> map);

    @ApiOperation("根据身份证查询列表-月(三车前科人员)")
    List<Map<String, Object>> yqueryBySfzhlbsc(Map<String, Object> map);

    @ApiOperation("根据身份证查询列表-周")
    List<Map<String, Object>> zqueryBySfzhlb(Map<String, Object> map);

    @ApiOperation("根据身份证查询列表-周(三车前科人员)")
    List<Map<String, Object>> zqueryBySfzhlbsc(Map<String, Object> map);

    @ApiOperation("人员预警列表TOP")
    List<Map<String, Object>> ryyjlb(Map<String, Object> map);

    @ApiOperation("预警级别统计--人员")
    List<Map<String, Object>> yjjbtjRy(Map<String, Object> map);

    @ApiOperation("预警人员级别统计")
    List<Map<String, Object>> jbtj(Map<String, Object> map);

    @ApiOperation("预警人员TOP20")
    List<Map<String, Object>> yjrytj(Map<String, Object> map);

    @ApiOperation("预警人员TOP20(三车前科人员)")
    List<Map<String, Object>> yjrytjsc(Map<String, Object> map);

    @ApiOperation("月预警人员TOP20")
    List<Map<String, Object>> yyjrytj(Map<String, Object> map);

    @ApiOperation("月预警人员TOP20(三车前科人员)")
    List<Map<String, Object>> yyjrytjsc(Map<String, Object> map);

    @ApiOperation("周预警人员TOP20")
    List<Map<String, Object>> zyjrytj(Map<String, Object> map);

    @ApiOperation("周预警人员TOP20(三车前科人员)")
    List<Map<String, Object>> zyjrytjsc(Map<String, Object> map);

    @ApiOperation("周边预警列表(不分页)")
    List<Map<String, Object>> zbyjbfylb(Map<String, Object> map);

    @ApiOperation("周边预警统计")
    List<Map<String, Object>> zbyjtj(Map<String, Object> map);

    @ApiOperation("感知源预警排名")
    List<Map<String, Object>> gzyyjpm(Map<String, Object> map);

    @ApiOperation("派出所预警排名")
    List<Map<String, Object>> pcsyjpm(Map<String, Object> map);

    @ApiOperation("人员预警排名")
    List<Map<String, Object>> ryyjpm(Map<String, Object> map);

    @ApiOperation("右侧预警统计")
    List<Map<String, Object>> ycyjtj(Map<String, Object> map);

    @ApiOperation("预警中心--预警统计")
    List<Map<String, Object>> yjtj(@Param("ssbmdm") String ssbmdm);

    @ApiOperation("预警数")
    List<Map<String, Object>> getYjsl(@Param("kssj") String kssj, @Param("jssj") String jssj);

    @ApiOperation("指令数")
    List<Map<String, Object>> getZls();

    @ApiOperation("执行数量")
    List<Map<String, Object>> getZxs(@Param("kssj") String kssj, @Param("jssj") String jssj);

    @ApiOperation("警情统计")
    List<Map<String, Object>> getJqTj(@Param("kssj") String kssj);

    @ApiOperation("预警数1")
    List<Map<String, Object>> getYjsl1(@Param("kssj") String kssj, @Param("jssj") String jssj);

    @ApiOperation("指令数1")
    List<Map<String, Object>> getZls1(@Param("kssj") String kssj, @Param("jssj") String jssj);

    @ApiOperation("执行数量")
    List<Map<String, Object>> getZxs1(@Param("kssj") String kssj, @Param("jssj") String jssj);

    @ApiOperation("警情(按时间)")
    List<Map<String, Object>> getJqTjByTime(@Param("kssj") String kssj, @Param("jssj") String jssj);

    @ApiOperation("预警(按时间)")
    List<Map<String, Object>> getYjslByTime(@Param("kssj") String kssj, @Param("jssj") String jssj);

    @ApiOperation("指令数(按时间)")
    List<Map<String, Object>> getZlsByTime(@Param("kssj") String kssj, @Param("jssj") String jssj);

    @ApiOperation("执行数(按时间)")
    List<Map<String, Object>> getZxsByTime(@Param("kssj") String kssj, @Param("jssj") String jssj);
}
